const install = function install(Vue) {
  Vue.component(this.name, this)
}

function basicCreate(sfc) {
  /* eslint no-param-reassign: ["error", { "props": false }] */
  sfc.name = `bxs-${sfc.name}`
  sfc.install = sfc.install || install
  return sfc
}

export default function(sfc) {
  return basicCreate(sfc)
}
